initOAT; clf;
plot_current=false; % set to true for current and false for voltage
reader = NeuronReader('../results/n_output.dat'); % "results" must be a link to the results folder
nR = reader.readValues();
t_start = 1; % start time
t_end = t_start+900; % end time
t_range = linspace(t_start,t_end,(t_end-t_start+1));

if plot_current
    plot(t_range, nR.I(1,t_start:t_end),'Color','#80B3FF','LineWidth',2);
    ylabel('Current (pA)','FontSize',14);
    title("Simulated Current Recording", 'FontSize', 16);
else
    plot(t_range, nR.v(1,t_start:t_end),'Color','#80B3FF','LineWidth',2);
    ylabel('Voltage (mV)','FontSize',14);
    title("Simulated Voltage Recording", 'FontSize', 16);
end
xlabel('Time (ms)','FontSize',14) 
set(gca,'FontSize',14)